Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226264 - Merge Review: perl-IO-Socket-SSL
Summary: Merge Review: perl-IO-Socket-SSL
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:36 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-12 10:36:02 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:36:11 UTC
Fedora Merge Review: perl-IO-Socket-SSL

http://cvs.fedora.redhat.com/viewcvs/devel/perl-IO-Socket-SSL/
Initial Owner: wtogami@redhat.com

Comment 1 Parag AN(पराग) 2007-10-26 10:38:09 UTC
1)Source URL not working
2)you may like to keep simple disttag as "1%{dist}" only.


Comment 2 Robin Norwood 2007-10-26 18:19:27 UTC
Both issues above fixed in CVS.  Also updated to the latest upstream version.

New version is perl-IO-Socket-SSL-1.12-1.fc9

Comment 3 Parag AN(पराग) 2007-10-27 01:59:41 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
0f6e80c15341094df16828a25dbaeeaa  IO-Socket-SSL-1.12.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
<skipped> long output here
All tests successful.
Files=13, Tests=185, 34 wallclock secs ( 1.72 cusr +  0.36 csys =  2.08 CPU)
+ Package perl-IO-Socket-SSL-1.12-1.fc8 ->
 Provides: perl(IO::Socket::SSL) = 1.12 perl(IO::Socket::SSL::SSL_Context)
perl(IO::Socket::SSL::SSL_HANDLE) perl(IO::Socket::SSL::Session_Cache)
 Requires: perl(:MODULE_COMPAT_5.8.8) perl(Carp) perl(Errno) perl(Exporter)
perl(IO::Socket) perl(Net::SSLeay) >= 1.21 perl(constant) perl(strict) perl(vars)

 APPROVED.


Comment 4 Parag AN(पराग) 2007-11-11 07:04:19 UTC
Can we CLOSE this review if package is already built and in rawhide?


Note You need to log in before you can comment on or make changes to this bug.